#include <iostream>
using namespace std;
int main(){

    int a,b,x,y;
    cin>>x>>y;
    cin>>a>>b;
    if ((a==x) and (b==y)) cout<<"nijedan";
    else if ((a==x) and (y>b)) cout<<"drugi";
    else if ((x>a) and (y==b)) cout<<"prvi";
    else cout<<"?";

    return 0;
}